Loading...
Searching...
No Matches
QXmppIncomingServer Class Reference

The QXmppIncomingServer class represents an incoming XMPP stream from an XMPP server. More...

`#include <QXmppIncomingServer.h>`

Inheritance diagram for QXmppIncomingServer:
[legend]
Collaboration diagram for QXmppIncomingServer:
[legend]

## Public Member Functions

| QXmppIncomingServer (QSslSocket *socket, const QString &domain, QObject *parent)
bool | isConnected () const
void | disconnectFromHost ()
| Disconnects from the remote host.
QString | localStreamId () const
| Returns the stream's identifier.
bool | sendPacket (const QXmppNonza &)
| Sends an XMPP packet to the peer.
Q_SLOT bool | sendData (const QByteArray &)
| Sends raw data to the peer.
Q_SIGNAL void | connected ()
| This signal is emitted when the stream is connected.
Q_SIGNAL void | disconnected ()
| This signal is emitted when the stream is disconnected.
Q_SIGNAL void | dialbackRequestReceived (const QXmppDialback &result)
| This signal is emitted when a dialback verify request is received.
Q_SIGNAL void | elementReceived (const QDomElement &element)
| This signal is emitted when an element is received.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)
Q_SIGNAL void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
Q_SIGNAL void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
Q_SIGNAL void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Friends

class | QXmppIncomingServerPrivate

## Additional Inherited Members

Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
| Logs a debugging message.
void | info (const QString &message)
| Logs an informational message.
void | warning (const QString &message)
| Logs a warning message.
void | logReceived (const QString &message)
| Logs a received packet.
void | logSent (const QString &message)
| Logs a sent packet.

## Detailed Description

The QXmppIncomingServer class represents an incoming XMPP stream from an XMPP server.

## Constructor & Destructor Documentation

## QXmppIncomingServer()

QXmppIncomingServer::QXmppIncomingServer | ( | QSslSocket * | socket,
|  | const QString & | domain,
|  | QObject * | parent )

Constructs a new incoming server stream.

Parameters

  socket | The socket for the XMPP stream.
  domain | The local domain.
  parent | The parent QObject for the stream (optional).

## Member Function Documentation

## isConnected()

bool QXmppIncomingServer::isConnected | ( |  | ) | const

Returns true if the socket is connected and the remote server is authenticated.

The documentation for this class was generated from the following files:

- QXmppIncomingServer.h
- QXmppIncomingServer.cpp